CREATE DATABASE  IF NOT EXISTS `fnqbrassband` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `fnqbrassband`;
-- MySQL dump 10.13  Distrib 5.7.17, for Win64 (x86_64)
--
-- Host: localhost    Database: fnqbrassband
-- ------------------------------------------------------
-- Server version	5.7.20-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `attendence`
--

DROP TABLE IF EXISTS `attendence`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `attendence` (
  `performance_id` int(11) NOT NULL,
  `player_no` int(11) NOT NULL,
  PRIMARY KEY (`performance_id`,`player_no`),
  KEY `player_has_attended_idx` (`player_no`),
  CONSTRAINT `performance_was_attended` FOREIGN KEY (`performance_id`) REFERENCES `performance` (`performance_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `player_has_attended` FOREIGN KEY (`player_no`) REFERENCES `player` (`player_no`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `attendence`
--

LOCK TABLES `attendence` WRITE;
/*!40000 ALTER TABLE `attendence` DISABLE KEYS */;
INSERT INTO `attendence` VALUES (2,1),(4,1),(6,1),(1,2),(2,2),(3,2),(4,2),(5,2),(6,2),(7,2),(1,3),(4,3),(5,3),(6,3),(3,4),(5,4),(1,5),(2,5),(3,5),(4,5),(5,5),(6,5),(7,5),(1,6),(2,6),(3,6),(4,6),(5,6),(6,6),(7,6),(1,7),(2,7),(3,7),(4,7),(5,7),(6,7),(7,7),(2,8),(4,8),(5,8),(6,8),(7,8),(1,9),(2,9),(3,9),(4,9),(5,9),(6,9),(7,9),(2,11),(7,11),(2,12),(3,12),(4,12),(6,12),(1,65),(2,65),(3,65),(4,65),(5,65),(6,65),(7,65),(1,76),(2,76),(3,76),(4,76),(5,76),(6,76),(7,76),(1,77),(2,77),(3,77),(4,77),(5,77),(6,77),(7,77),(1,78),(2,78),(3,78),(4,78),(5,78),(6,78),(7,78);
/*!40000 ALTER TABLE `attendence` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `composer`
--

DROP TABLE IF EXISTS `composer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `composer` (
  `composer_id` int(11) NOT NULL,
  `name` varchar(100) NOT NULL,
  PRIMARY KEY (`composer_id`),
  UNIQUE KEY `composer_id_UNIQUE` (`composer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `composer`
--

LOCK TABLES `composer` WRITE;
/*!40000 ALTER TABLE `composer` DISABLE KEYS */;
INSERT INTO `composer` VALUES (1,'J. Strauss Jr.'),(2,'Nikolai Rimsky-Korsakov'),(3,'Hummel'),(4,'Bach'),(5,'Virgil O. Stamps');
/*!40000 ALTER TABLE `composer` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `free_entry`
--

DROP TABLE IF EXISTS `free_entry`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `free_entry` (
  `performance_id` int(11) NOT NULL,
  `supporter_id` int(11) NOT NULL,
  `num_of_tickets` int(11) NOT NULL,
  PRIMARY KEY (`performance_id`,`supporter_id`),
  KEY `freeticker_to_supporter_idx` (`supporter_id`),
  CONSTRAINT `freeticker_for_performance` FOREIGN KEY (`performance_id`) REFERENCES `performance` (`performance_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `freeticker_to_supporter` FOREIGN KEY (`supporter_id`) REFERENCES `supporter` (`supporter_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `free_entry`
--

LOCK TABLES `free_entry` WRITE;
/*!40000 ALTER TABLE `free_entry` DISABLE KEYS */;
INSERT INTO `free_entry` VALUES (1,492,1),(1,493,2),(1,495,3),(2,491,1),(2,496,1),(2,497,2),(2,500,1),(3,492,1),(3,498,1),(3,500,1),(4,491,1),(4,493,1),(4,499,1),(6,493,1),(6,496,1),(7,500,1);
/*!40000 ALTER TABLE `free_entry` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `hire`
--

DROP TABLE IF EXISTS `hire`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `hire` (
  `player_no` int(11) NOT NULL,
  `instrument_no` varchar(8) NOT NULL,
  `start_date` date NOT NULL,
  `end_date` date DEFAULT NULL,
  PRIMARY KEY (`player_no`,`instrument_no`),
  KEY `instrument_is_hired_idx` (`instrument_no`),
  CONSTRAINT `instrument_is_hired` FOREIGN KEY (`instrument_no`) REFERENCES `instrument` (`instrument_no`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `player_has_hired` FOREIGN KEY (`player_no`) REFERENCES `player` (`player_no`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `hire`
--

LOCK TABLES `hire` WRITE;
/*!40000 ALTER TABLE `hire` DISABLE KEYS */;
INSERT INTO `hire` VALUES (1,'I002','2004-11-14',NULL),(2,'I005','2004-12-23',NULL),(3,'I006','2003-05-02',NULL),(4,'I001','2005-09-15',NULL),(5,'I007','2002-08-07',NULL),(6,'I017','2004-11-19',NULL),(7,'I004','1998-03-01','2001-06-26'),(7,'I009','2003-09-30',NULL),(7,'I010','2004-05-13',NULL),(8,'I008','2001-10-15',NULL),(9,'I003','2005-06-05',NULL),(11,'I012','2002-07-28',NULL),(12,'I016','2005-08-27',NULL),(65,'I001','2005-04-28','2005-09-12'),(65,'I004','2001-09-25',NULL),(65,'I011','2005-05-13',NULL),(76,'I015','2004-05-05',NULL),(77,'I013','2006-03-26',NULL),(78,'I014','2001-08-03',NULL);
/*!40000 ALTER TABLE `hire` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `instrument`
--

DROP TABLE IF EXISTS `instrument`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `instrument` (
  `instrument_no` varchar(8) NOT NULL,
  `purchase_date` date NOT NULL,
  `cost` decimal(10,0) NOT NULL,
  `description` varchar(45) NOT NULL,
  `hire_fee` decimal(10,0) NOT NULL,
  PRIMARY KEY (`instrument_no`),
  UNIQUE KEY `instrument_no_UNIQUE` (`instrument_no`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `instrument`
--

LOCK TABLES `instrument` WRITE;
/*!40000 ALTER TABLE `instrument` DISABLE KEYS */;
INSERT INTO `instrument` VALUES ('I001','1995-06-07',2195,'Tenor Saxophone',100),('I002','1996-05-19',700,'Trombone',35),('I003','1992-08-23',1350,'Tuba',60),('I004','1998-02-17',1295,'Snare Drum',60),('I005','1998-02-17',1349,'Kettle Drum',60),('I006','1992-11-08',2000,'Tenor Trombone',95),('I007','2003-06-29',1240,'Xylophone',50),('I008','2003-06-29',1649,'Bass Drum',65),('I009','1992-08-23',35,'Triangle',2),('I010','1991-05-13',240,'Cymbols',15),('I011','1994-01-24',1250,'Trumpet',55),('I012','1995-02-16',2395,'Alto Saxophone',95),('I013','2006-03-25',769,'Trumpet',45),('I014','2003-12-16',750,'Trumpet',40),('I015','2004-04-25',1900,'Tenor Saxophone',95),('I016','2005-08-06',1472,'Tuba',65),('I017','2004-11-15',1350,'Trombone',60);
/*!40000 ALTER TABLE `instrument` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `instrument_piece`
--

DROP TABLE IF EXISTS `instrument_piece`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `instrument_piece` (
  `piece_id` int(11) NOT NULL,
  `part_id` int(11) NOT NULL,
  `name` varchar(45) NOT NULL,
  PRIMARY KEY (`piece_id`,`part_id`),
  CONSTRAINT `instrument_is_for_piece` FOREIGN KEY (`piece_id`) REFERENCES `music_piece` (`piece_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `instrument_piece`
--

LOCK TABLES `instrument_piece` WRITE;
/*!40000 ALTER TABLE `instrument_piece` DISABLE KEYS */;
INSERT INTO `instrument_piece` VALUES (137,1,'1st Saxaphone'),(137,2,'1st Trumpet'),(137,3,'2nd Trumpet'),(137,4,'Cymbols'),(137,5,'Drum'),(137,6,'1st Trombone'),(138,1,'Drum'),(138,2,'Xylophone'),(138,3,'Tuba'),(138,4,'1st Trumpet'),(138,5,'2nd Trumpet'),(138,6,'1st Trombone'),(139,1,'1st Trumpet'),(139,2,'2nd Trumpet'),(139,3,'1st Trombone'),(139,4,'1st Saxaphone'),(140,1,'1st Trumpet'),(140,2,'2nd Trumpet'),(140,3,'Tuba'),(140,4,'1st Trombone'),(141,1,'Triangle'),(141,2,'Cymbols'),(141,3,'Bass Drum'),(141,4,'1st Trumpet'),(141,5,'2nd Trumpet'),(141,6,'Tuba'),(141,7,'Xylophone'),(141,8,'Trombone'),(142,1,'Triangle'),(142,2,'Cymbols'),(142,3,'Drum'),(142,4,'Xylophone'),(142,5,'1st Trumpet'),(142,6,'2nd Trumpet'),(142,7,'Trombone'),(142,8,'Tuba'),(142,9,'Saxophone'),(143,1,'1st Trumpet'),(143,2,'2nd Trumpet'),(143,3,'Trombone'),(143,4,'Drum');
/*!40000 ALTER TABLE `instrument_piece` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `issue`
--

DROP TABLE IF EXISTS `issue`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `issue` (
  `piece_id` int(11) NOT NULL,
  `part_id` int(11) NOT NULL,
  `copy_id` int(11) NOT NULL,
  `start_date` date NOT NULL,
  `player_no` int(11) NOT NULL,
  `end_date` date DEFAULT NULL,
  PRIMARY KEY (`piece_id`,`part_id`,`copy_id`,`start_date`),
  KEY `issued_to_player_idx` (`player_no`),
  CONSTRAINT `issue_is_of_music_copy` FOREIGN KEY (`piece_id`, `part_id`, `copy_id`) REFERENCES `music_copy` (`piece_id`, `part_id`, `copy_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `issued_to_player` FOREIGN KEY (`player_no`) REFERENCES `player` (`player_no`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `issue`
--

LOCK TABLES `issue` WRITE;
/*!40000 ALTER TABLE `issue` DISABLE KEYS */;
INSERT INTO `issue` VALUES (137,1,1,'2004-05-06',76,NULL),(137,2,1,'2006-03-27',77,NULL),(137,3,1,'2005-05-14',65,NULL),(137,3,2,'2006-03-27',77,'2006-04-04'),(137,3,3,'2001-09-04',78,NULL),(137,4,1,'2004-05-13',7,NULL),(137,5,1,'2002-10-16',8,NULL),(137,5,2,'2002-10-16',65,NULL),(137,6,1,'2004-11-20',6,NULL),(138,1,1,'2004-12-24',2,NULL),(138,2,1,'2003-05-08',5,NULL),(138,3,1,'2005-08-28',12,NULL),(138,4,1,'2004-05-06',77,NULL),(138,5,1,'2006-03-27',65,NULL),(138,6,1,'2005-05-14',1,NULL),(138,6,2,'2006-03-27',6,NULL),(139,1,1,'2001-09-04',78,NULL),(139,2,1,'2004-05-13',77,NULL),(139,3,1,'2002-10-16',1,NULL),(139,3,2,'2002-10-16',6,NULL),(139,4,1,'2004-11-20',11,NULL),(139,4,2,'2004-12-24',4,NULL),(140,1,1,'2005-05-08',78,'2005-05-16'),(140,1,1,'2005-08-16',77,NULL),(140,2,1,'2005-05-11',65,'2006-03-28'),(140,2,1,'2005-07-23',78,NULL),(140,3,1,'2005-09-13',9,NULL),(140,4,1,'2005-04-12',6,NULL),(141,1,1,'2004-04-20',7,NULL),(141,2,1,'2006-03-27',7,NULL),(141,3,1,'2003-09-04',8,NULL),(141,4,1,'2004-05-13',78,NULL),(141,4,2,'2003-10-16',65,NULL),(141,5,1,'2003-07-23',78,'2004-09-12'),(141,5,1,'2003-09-13',65,NULL),(141,6,1,'2004-04-12',12,NULL),(141,6,1,'2006-04-20',9,NULL),(141,7,1,'2004-11-20',5,NULL),(141,8,1,'2004-12-24',1,NULL),(141,8,2,'2003-05-08',6,NULL),(142,1,1,'2005-08-28',7,NULL),(142,2,1,'2001-09-04',7,NULL),(142,3,1,'2001-05-13',65,NULL),(142,3,2,'2001-10-16',8,NULL),(142,4,1,'2001-10-16',5,NULL),(142,5,1,'2001-11-20',77,NULL),(142,6,1,'2002-06-18',77,'2005-12-17'),(142,6,1,'2006-01-03',78,NULL),(142,7,1,'2001-11-28',3,'2006-02-02'),(142,7,1,'2002-01-21',3,'2005-11-17'),(142,8,1,'2003-10-16',9,NULL),(142,9,1,'2003-07-23',3,NULL),(142,9,2,'2003-09-13',76,NULL),(143,1,1,'2006-03-23',77,NULL),(143,2,1,'2002-01-31',65,NULL),(143,3,1,'2002-03-19',6,NULL),(143,4,1,'2002-03-16',2,NULL);
/*!40000 ALTER TABLE `issue` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `music_comment`
--

DROP TABLE IF EXISTS `music_comment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `music_comment` (
  `piece_id` int(11) NOT NULL,
  `comment_no` int(11) NOT NULL,
  ` comment` varchar(127) NOT NULL,
  PRIMARY KEY (`piece_id`,`comment_no`),
  CONSTRAINT `comment_is_for_piece` FOREIGN KEY (`piece_id`) REFERENCES `music_piece` (`piece_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `music_comment`
--

LOCK TABLES `music_comment` WRITE;
/*!40000 ALTER TABLE `music_comment` DISABLE KEYS */;
INSERT INTO `music_comment` VALUES (138,1,'Technically demanding piece'),(138,2,'A real crowd pleaser'),(140,1,'Good for public performances'),(141,1,'Best played at private performances');
/*!40000 ALTER TABLE `music_comment` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `music_copy`
--

DROP TABLE IF EXISTS `music_copy`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `music_copy` (
  `piece_id` int(11) NOT NULL,
  `part_id` int(11) NOT NULL,
  `copy_id` int(11) NOT NULL,
  PRIMARY KEY (`piece_id`,`copy_id`,`part_id`),
  KEY `music_copy_has_instrument_piece_idx` (`piece_id`,`part_id`),
  CONSTRAINT `music_copy_has_instrument_piece` FOREIGN KEY (`piece_id`, `part_id`) REFERENCES `instrument_piece` (`piece_id`, `part_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='			';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `music_copy`
--

LOCK TABLES `music_copy` WRITE;
/*!40000 ALTER TABLE `music_copy` DISABLE KEYS */;
INSERT INTO `music_copy` VALUES (137,1,1),(137,2,1),(137,3,1),(137,3,2),(137,3,3),(137,4,1),(137,4,2),(137,5,1),(137,5,2),(137,6,1),(138,1,1),(138,1,2),(138,2,1),(138,2,2),(138,3,1),(138,4,1),(138,5,1),(138,5,2),(138,6,1),(138,6,2),(139,1,1),(139,2,1),(139,2,2),(139,2,3),(139,3,1),(139,3,2),(139,3,3),(139,4,1),(139,4,2),(140,1,1),(140,1,2),(140,2,1),(140,2,2),(140,3,1),(140,4,1),(140,4,2),(141,1,1),(141,2,1),(141,3,1),(141,4,1),(141,4,2),(141,5,1),(141,5,2),(141,6,1),(141,7,1),(141,8,1),(141,8,2),(142,1,1),(142,2,1),(142,3,1),(142,3,2),(142,4,1),(142,5,1),(142,5,2),(142,5,3),(142,6,1),(142,6,2),(142,7,1),(142,7,2),(142,8,1),(142,9,1),(142,9,2),(143,1,1),(143,1,2),(143,2,1),(143,2,2),(143,3,1),(143,3,2),(143,4,1),(143,4,2);
/*!40000 ALTER TABLE `music_copy` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `music_piece`
--

DROP TABLE IF EXISTS `music_piece`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `music_piece` (
  `piece_id` int(11) NOT NULL,
  `name` varchar(100) NOT NULL,
  `composer_id` int(11) NOT NULL,
  `length` int(11) NOT NULL,
  `date_purchase` date NOT NULL,
  `cost_purchase` decimal(10,0) NOT NULL,
  PRIMARY KEY (`piece_id`),
  UNIQUE KEY `piece_id_UNIQUE` (`piece_id`),
  KEY `music_has_composer_idx` (`composer_id`),
  CONSTRAINT `music_has_composer` FOREIGN KEY (`composer_id`) REFERENCES `composer` (`composer_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `music_piece`
--

LOCK TABLES `music_piece` WRITE;
/*!40000 ALTER TABLE `music_piece` DISABLE KEYS */;
INSERT INTO `music_piece` VALUES (137,'The Blue Danube Waltz',1,10,'2001-03-20',100),(138,'The Flight of the Bumblebee',2,7,'2003-12-09',150),(139,'Fantasy, Opus 96',3,7,'2002-06-16',200),(140,'Sheep May Safely Graze',4,9,'2004-11-14',100),(141,'When the Saints Go Marching In',5,7,'2003-03-28',45),(142,'Pizzicato',1,9,'2001-05-08',95),(143,'Wachet Auf',4,6,'2001-05-08',75);
/*!40000 ALTER TABLE `music_piece` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `performance`
--

DROP TABLE IF EXISTS `performance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `performance` (
  `performance_id` int(11) NOT NULL,
  `perform_date` date NOT NULL,
  `player_fee` decimal(10,0) NOT NULL,
  PRIMARY KEY (`performance_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `performance`
--

LOCK TABLES `performance` WRITE;
/*!40000 ALTER TABLE `performance` DISABLE KEYS */;
INSERT INTO `performance` VALUES (1,'2006-03-26',10),(2,'2006-03-27',20),(3,'2006-03-29',10),(4,'2006-03-29',15),(5,'2006-03-31',10),(6,'2006-04-01',20),(7,'2005-09-10',10);
/*!40000 ALTER TABLE `performance` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `performance_comment`
--

DROP TABLE IF EXISTS `performance_comment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `performance_comment` (
  `performance_id` int(11) NOT NULL,
  `comment_no` int(11) NOT NULL,
  `comment` varchar(127) NOT NULL,
  PRIMARY KEY (`performance_id`,`comment_no`),
  CONSTRAINT `performance_has_comment` FOREIGN KEY (`performance_id`) REFERENCES `performance` (`performance_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `performance_comment`
--

LOCK TABLES `performance_comment` WRITE;
/*!40000 ALTER TABLE `performance_comment` DISABLE KEYS */;
INSERT INTO `performance_comment` VALUES (2,1,'The horns were fabulous'),(4,1,'Excellent show'),(4,2,'A little loud for my liking'),(7,1,'Stimulating arrangements');
/*!40000 ALTER TABLE `performance_comment` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `player`
--

DROP TABLE IF EXISTS `player`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `player` (
  `player_no` int(11) NOT NULL,
  `name` varchar(45) NOT NULL,
  `town` varchar(45) NOT NULL,
  `uniform_no` int(11) NOT NULL,
  PRIMARY KEY (`player_no`),
  UNIQUE KEY `player_no_UNIQUE` (`player_no`),
  UNIQUE KEY `uniform_no_UNIQUE` (`uniform_no`),
  KEY `player_has_uniform_idx` (`uniform_no`),
  CONSTRAINT `player_has_uniform` FOREIGN KEY (`uniform_no`) REFERENCES `uniform` (`Uniform_no`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `player`
--

LOCK TABLES `player` WRITE;
/*!40000 ALTER TABLE `player` DISABLE KEYS */;
INSERT INTO `player` VALUES (1,'Joseph Witney','Bathurst',14),(2,'Errol Curry','Bathurst',16),(3,'Jenny Hammond','Lithgow',1),(4,'Sue Wilson','Orange',19),(5,'Karen Wilkins','Dubbo',5),(6,'Carolyn Lodge','Orange',6),(7,'Marie Chopping','Lithgow',20),(8,'Erin Nesbitt','Bathurst',3),(9,'Robert Moffatt','Dubbo',13),(10,'Jessica Wood','Bathurst',9),(11,'Danielle Blackmore','Lithgow',8),(12,'Daisy Blackmore','Orange',11),(65,'Ronald Smith','Dubbo',10),(76,'Fred Frog','Bathurst',18),(77,'Iva Sawpit','Lithgow',2),(78,'Ima Idjit','Orange',4);
/*!40000 ALTER TABLE `player` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `private_performance`
--

DROP TABLE IF EXISTS `private_performance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `private_performance` (
  `performance_id` int(11) NOT NULL,
  `band_fee` decimal(10,0) NOT NULL,
  PRIMARY KEY (`performance_id`),
  CONSTRAINT `performamce_is_private` FOREIGN KEY (`performance_id`) REFERENCES `performance` (`performance_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `private_performance`
--

LOCK TABLES `private_performance` WRITE;
/*!40000 ALTER TABLE `private_performance` DISABLE KEYS */;
INSERT INTO `private_performance` VALUES (2,220),(3,200),(6,380),(7,250);
/*!40000 ALTER TABLE `private_performance` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `program`
--

DROP TABLE IF EXISTS `program`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `program` (
  `performance_id` int(11) NOT NULL,
  `piece_id` int(11) NOT NULL,
  `order_of_play` int(11) NOT NULL,
  PRIMARY KEY (`performance_id`,`piece_id`),
  KEY `program_has_piece_idx` (`piece_id`),
  CONSTRAINT `program_has_piece` FOREIGN KEY (`piece_id`) REFERENCES `music_piece` (`piece_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `program_is_for_performance` FOREIGN KEY (`performance_id`) REFERENCES `performance` (`performance_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `program`
--

LOCK TABLES `program` WRITE;
/*!40000 ALTER TABLE `program` DISABLE KEYS */;
INSERT INTO `program` VALUES (1,137,3),(1,140,1),(1,142,4),(1,143,2),(2,137,2),(2,138,3),(2,139,1),(2,140,5),(2,141,4),(3,137,3),(3,138,2),(3,139,5),(3,140,4),(3,143,1),(4,137,3),(4,138,4),(4,141,1),(4,142,2),(5,139,4),(5,140,2),(5,142,3),(5,143,1),(6,137,2),(6,138,4),(6,141,1),(6,142,3),(6,143,5),(7,137,3),(7,139,2),(7,140,4),(7,141,5),(7,143,1);
/*!40000 ALTER TABLE `program` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `public_performance`
--

DROP TABLE IF EXISTS `public_performance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `public_performance` (
  `performance_id` int(11) NOT NULL,
  `seat_price` decimal(10,0) NOT NULL,
  `num_seats_sold` int(11) NOT NULL,
  PRIMARY KEY (`performance_id`),
  CONSTRAINT `performance_is_private` FOREIGN KEY (`performance_id`) REFERENCES `performance` (`performance_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `public_performance`
--

LOCK TABLES `public_performance` WRITE;
/*!40000 ALTER TABLE `public_performance` DISABLE KEYS */;
INSERT INTO `public_performance` VALUES (1,5,60),(4,3,72),(6,5,35);
/*!40000 ALTER TABLE `public_performance` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `supporter`
--

DROP TABLE IF EXISTS `supporter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `supporter` (
  `supporter_id` int(11) NOT NULL,
  `name` varchar(45) NOT NULL,
  `nominated_by` int(11) NOT NULL,
  `paid_till` date NOT NULL,
  PRIMARY KEY (`supporter_id`),
  KEY `supporter_nominated_by_idx` (`nominated_by`),
  CONSTRAINT `supporter_nominated_by` FOREIGN KEY (`nominated_by`) REFERENCES `player` (`player_no`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `supporter`
--

LOCK TABLES `supporter` WRITE;
/*!40000 ALTER TABLE `supporter` DISABLE KEYS */;
INSERT INTO `supporter` VALUES (491,'John Gray',12,'2006-12-31'),(492,'Thomas Samuelson',9,'2006-12-12'),(493,'Mary Abrahams',5,'2006-12-15'),(494,'Monica Aumann',1,'2006-12-31'),(495,'Melissa Brown',12,'2006-06-30'),(496,'Mary Napier',8,'2006-09-30'),(497,'Nigel Nelson',3,'2006-06-30'),(498,'Olive Newman',11,'2006-12-31'),(499,'Lesley Gray',6,'2006-03-31'),(500,'Alice Strathclyde',78,'2006-12-31');
/*!40000 ALTER TABLE `supporter` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `uniform`
--

DROP TABLE IF EXISTS `uniform`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uniform` (
  `Uniform_no` int(11) NOT NULL,
  `size` int(11) NOT NULL,
  PRIMARY KEY (`Uniform_no`),
  UNIQUE KEY `Uniform_no_UNIQUE` (`Uniform_no`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uniform`
--

LOCK TABLES `uniform` WRITE;
/*!40000 ALTER TABLE `uniform` DISABLE KEYS */;
INSERT INTO `uniform` VALUES (1,8),(2,8),(3,8),(4,8),(5,10),(6,10),(7,12),(8,12),(9,12),(10,14),(11,14),(12,14),(13,14),(14,16),(16,16),(17,18),(18,18),(19,20),(20,22);
/*!40000 ALTER TABLE `uniform` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2018-04-20  1:11:44
